// A first demonstration of reading pixel data out
// of an image using PImage.get().  Just as a 
// demonstration, average together the colours
// of all the pixels in the image and set the
// background of the sketch to that average colour.

void setup()
{
  PImage img = loadImage( "otis.jpg" );
  int r = 0;
  int g = 0;
  int b = 0;
  float sz = img.width * img.height;
  
  for( int y = 0; y < img.height; ++y ) {
    for( int x = 0; x < img.width; ++x ) {
      color c = img.get( x, y );
      r += red( c );
      g += green( c );
      b += blue( c );
    }
  }
  
  color avg = color( r/sz, g/sz, b/sz );
  background( avg );
}
