// Display complete per-pixel information for the image pixel
// currently underneath the mouse pointer.

PImage img;

void setup()
{
  img = loadImage( "otis.jpg" );
  size( img.width + 100, img.height );
}

void draw()
{
  background( 0 );
  image( img, 0, 0 );
  if ( mouseX < img.width ) {
    color c = img.get( mouseX, mouseY );
    fill( c );
    rect( img.width, 0, 100, 100 );
    fill( #ffffff );
    text( "R " + red( c ), img.width + 3, 115 );
    text( "G " + green( c ), img.width + 3, 130 );
    text( "B " + blue( c ), img.width + 3, 145 );

    text( "H " + hue( c ), img.width + 3, 170 );
    text( "S " + saturation( c ), img.width + 3, 185 );
    text( "B " + brightness( c ), img.width + 3, 200 );
  }
}

