// A screensaver-like thing that swaps tiles around in an image.

PImage img;

int dx;
int dy;

void setup()
{
  img = loadImage( "otis.jpg" );
  size( img.width, img.height );
  image( img, 0, 0 );
  dx = img.width / 10;
  dy = img.height / 10;
  
  image( img, 0, 0 );
}

PImage getTile( int x, int y )
{
  return get( x*dx, y*dy, dx, dy );
}

void draw()
{
  swap();
}

void swap()
{
  int fx = int( random( width/dx ) );
  int fy = int( random( height/dy ) );
  int tx = int( random( width/dx ) );
  int ty = int( random( height/dy ) );
  
  PImage fi = getTile( fx, fy );
  PImage ti = getTile( tx, ty );
  image( fi, tx*dx, ty*dy );
  image( ti, fx*dx, fy*dy );
}
